Contracts API Reference
API Reference/Contracts

Contracts

For authentication instructions, see API overview.

get

Retrieve all

Returns a single al, which you can request by passing through an id in the url.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts

Response

No response schema
post

Create contract

Create contract. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • isCompanyboolean
  • capitalinteger
  • managerstring
  • namestring
  • street1string
  • street2string
  • zipCodestring
  • citystring
  • contactsarray
  • contractstring
  • frequencystring
  • beginDatestring
  • endDatestring
  • terminationDatestring
  • guarantyPaybacknumber
  • customerarray
  • unitsarray
  • guarantynumber
  • referencestring
  • isVatboolean
  • vatRationumber
  • commissioneRationumber
  • discountnumber
  • legalFormstring
  • siretstring
  • documentsarray
  • contractDatestring
  • notesstring
  • recordSourcestring
  • reservationIdstring
  • customerIdstring
  • termsarray
  • bankInfoobject
  • attachmentsarray
  • descriptionstring
  • manualboolean
  • manualTermsarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts \
-d 'isCompany="boolean"' \
-d 'capital=500000' \
-d 'manager="string"' \
-d 'name="string"' \
-d 'street1="string"' \
-d 'street2="string"' \
-d 'zipCode="string"' \
-d 'city="string"' \
-d 'contacts="array"' \
-d 'contract="string"' \
-d 'frequency="days"' \
-d 'beginDate="20/12/2022"' \
-d 'endDate="25/12/2022"' \
-d 'terminationDate="22/12/2022"' \
-d 'guarantyPayback="number"' \
-d 'customer="array"' \
-d 'units="array"' \
-d 'guaranty=2000' \
-d 'reference="string"' \
-d 'isVat="boolean"' \
-d 'vatRatio="number"' \
-d 'commissioneRatio="number"' \
-d 'discount=500' \
-d 'legalForm="string"' \
-d 'siret="string"' \
-d 'documents="array"' \
-d 'contractDate="string"' \
-d 'notes="string"' \
-d 'recordSource="string"' \
-d 'reservationId="64520b0902c0fa6233119c2b"' \
-d 'customerId="64520b0902c0fa6233119c2b"' \
-d 'terms="array"' \
-d 'bankInfo="object"' \
-d 'attachments="array"' \
-d 'description="string"' \
-d 'manual="boolean"' \
-d 'manualTerms="array"'

Response

No response schema
get

Retrieve contract

Returns a single contrac, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the contract

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/:id

Response

No response schema
put

Update contract

Path parameters

  • idstring

    ID of the contract

Request body

  • isCompanyboolean
  • capitalinteger
  • managerstring
  • namestring
  • street1string
  • street2string
  • zipCodestring
  • citystring
  • contactsarray
  • contractstring
  • frequencystring
  • beginDatestring
  • endDatestring
  • terminationDatestring
  • guarantyPaybacknumber
  • customerarray
  • unitsarray
  • guarantynumber
  • referencestring
  • isVatboolean
  • vatRationumber
  • commissioneRationumber
  • discountnumber
  • legalFormstring
  • siretstring
  • documentsarray
  • contractDatestring
  • notesstring
  • recordSourcestring
  • reservationIdstring
  • customerIdstring
  • termsarray
  • bankInfoobject
  • attachmentsarray
  • descriptionstring
  • manualboolean
  • manualTermsarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/:id \
-d 'isCompany="boolean"' \
-d 'capital=500000' \
-d 'manager="string"' \
-d 'name="string"' \
-d 'street1="string"' \
-d 'street2="string"' \
-d 'zipCode="string"' \
-d 'city="string"' \
-d 'contacts="array"' \
-d 'contract="string"' \
-d 'frequency="days"' \
-d 'beginDate="20/12/2022"' \
-d 'endDate="25/12/2022"' \
-d 'terminationDate="22/12/2022"' \
-d 'guarantyPayback="number"' \
-d 'customer="array"' \
-d 'units="array"' \
-d 'guaranty=2000' \
-d 'reference="string"' \
-d 'isVat="boolean"' \
-d 'vatRatio="number"' \
-d 'commissioneRatio="number"' \
-d 'discount=500' \
-d 'legalForm="string"' \
-d 'siret="string"' \
-d 'documents="array"' \
-d 'contractDate="string"' \
-d 'notes="string"' \
-d 'recordSource="string"' \
-d 'reservationId="64520b0902c0fa6233119c2b"' \
-d 'customerId="64520b0902c0fa6233119c2b"' \
-d 'terms="array"' \
-d 'bankInfo="object"' \
-d 'attachments="array"' \
-d 'description="string"' \
-d 'manual="boolean"' \
-d 'manualTerms="array"'

Response

No response schema
patch

Update contract soft

Update contract soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the contract

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/:id

Response

No response schema
delete

Delete contract

Path parameters

  • idstring

    ID of the contract

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/:id

Response

No response schema
get

List all contracts

Returns a list of contracts. The contracts are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/all

Response

No response schema
post

Create contracts date

Create contracts date. You need to pass through any required fields, and you can optionally pass through other fields.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/date-range

Response

No response schema
post

Create contract

Create contract. You need to pass through any required fields, and you can optionally pass through other fields.

Path parameters

  • idstring

    ID of the contract

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/:id/renew

Response

No response schema
post

Create contract

Create contract. You need to pass through any required fields, and you can optionally pass through other fields.

Path parameters

  • idstring

    ID of the contract

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/contracts/:id/extend

Response

No response schema